Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.shared
Class DConfigBeanVersionType

    java.lang.Object
      javax.enterprise.deploy.shared.DConfigBeanVersionType

public class DConfigBeanVersionType
extends Object

An enumeration of deployment status action types.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Field Summary
`static DConfigBeanVersionType` | `V1_3` The version type for J2EE 1.3
`static DConfigBeanVersionType` | `V1_3_1` The version type for J2EE 1.3.1 - DO NOT USE
`static DConfigBeanVersionType` | `V1_4` The version type for J2EE 1.4

Constructor Summary
`protected` | `DConfigBeanVersionType(int value)` Create a new DConfigBeanVersionType

Method Summary
`static DConfigBeanVersionType` | `getDConfigBeanVersionType(int type)` Get the version type for an integer
`protected DConfigBeanVersionType[]` | `getEnumValueTable()` Get the enumerated values for module type
`protected int` | `getOffset()` Return the offset of the first element
`protected String[]` | `getStringTable()` Get the string table for class DConfigBeanVersion type [todo] check this?
`int` | `getValue()` Get the value
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### V1_3

    public static final DConfigBeanVersionType V1_3

  The version type for J2EE 1.3

### V1_3_1

    public static final DConfigBeanVersionType V1_3_1

  The version type for J2EE 1.3.1 - DO NOT USE

### V1_4

    public static final DConfigBeanVersionType V1_4

  The version type for J2EE 1.4

Constructor Detail

### DConfigBeanVersionType

    protected DConfigBeanVersionType(int value)

  Create a new DConfigBeanVersionType

Parameters:
  `value` - the value

Method Detail

### getValue

    public int getValue()

  Get the value

  Returns:
    the value

### getStringTable

    protected String[] getStringTable()

  Get the string table for class DConfigBeanVersion type [todo] check this?

  Returns:
    the string table

### getEnumValueTable

    protected DConfigBeanVersionType[] getEnumValueTable()

  Get the enumerated values for module type

  Returns:
    the string table

### getDConfigBeanVersionType

    public static DConfigBeanVersionType getDConfigBeanVersionType(int type)

  Get the version type for an integer

  Parameters:
    `type` - the type
  Returns:
    the action type

### toString

    public String toString()

### getOffset

    protected int getOffset()

  Return the offset of the first element

  Returns:
    the offset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.